import type { Middleware, SideObject } from '@floating-ui/core';
import * as React from 'react';
export interface Options {
    element: React.MutableRefObject<Element | null> | Element | null;
    padding?: number | SideObject;
}
/**
 * Provides data to position an inner element of the floating element so that it
 * appears centered to the reference element.
 * This wraps the core `arrow` middleware to allow React refs as the element.
 * @see https://floating-ui.com/docs/arrow
 */
export declare const arrow: (options: Options) => Middleware;
